--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Creates and returns Query instance that fetches target resource(s) (ex.: articles) for given target resource (ex.: author)"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Associations::Relationship#query_for
is_singleton: false
name: query_for
params: (source, other_query = nil)
visibility: public
